# -*- coding: utf-8 -*-
# Generated by Django 1.10.2 on 2016-10-23 16:04
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import parler.models
import uuid
import versatileimagefield.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Bid',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('value', models.DecimalField(decimal_places=2, max_digits=7, verbose_name='value')),
                ('created', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('bidder', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='auction_bids', to=settings.AUTH_USER_MODEL, verbose_name='bidder')),
            ],
            options={
                'verbose_name_plural': 'Bids',
            },
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('_uid', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('start_date_time', models.DateTimeField(default=django.utils.timezone.now, verbose_name='start time')),
                ('end_date_time', models.DateTimeField(default=django.utils.timezone.now, verbose_name='end time')),
                ('owner', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='auction_events', to=settings.AUTH_USER_MODEL, verbose_name='owner')),
            ],
            options={
                'verbose_name': 'event',
                'verbose_name_plural': 'events',
            },
            bases=(parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name='EventAdmin',
            fields=[
                ('_uid', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='silent_auction.Event', verbose_name='event')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL, verbose_name='username')),
            ],
            options={
                'verbose_name': 'event admin',
                'verbose_name_plural': 'event admins',
            },
        ),
        migrations.CreateModel(
            name='EventTranslation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('language_code', models.CharField(db_index=True, max_length=15, verbose_name='Language')),
                ('name', models.CharField(max_length=160, verbose_name='name')),
                ('slug', models.SlugField(max_length=160, verbose_name='slug')),
                ('description', models.TextField(verbose_name='description')),
                ('master', models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='translations', to='silent_auction.Event')),
            ],
            options={
                'db_table': 'silent_auction_event_translation',
                'default_permissions': (),
                'managed': True,
                'verbose_name': 'event Translation',
                'db_tablespace': '',
            },
        ),
        migrations.CreateModel(
            name='Item',
            fields=[
                ('_uid', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('retail_value', models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True, verbose_name='retail value')),
                ('starting_value', models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True, verbose_name='starting value')),
                ('min_increase', models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True, verbose_name='min increase')),
                ('event', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='items', to='silent_auction.Event', verbose_name='event')),
                ('seller', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='auction_items', to=settings.AUTH_USER_MODEL, verbose_name='seller')),
            ],
            options={
                'verbose_name': 'item',
                'verbose_name_plural': 'items',
            },
            bases=(parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name='ItemImage',
            fields=[
                ('_uid', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('image', versatileimagefield.fields.VersatileImageField(upload_to='item_images/', verbose_name='image')),
                ('image_ppoi', versatileimagefield.fields.PPOIField(default='0.5x0.5', editable=False, max_length=20)),
                ('item', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='images', to='silent_auction.Item', verbose_name='item')),
            ],
            options={
                'abstract': False,
            },
            bases=(parler.models.TranslatableModelMixin, models.Model),
        ),
        migrations.CreateModel(
            name='ItemImageTranslation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('language_code', models.CharField(db_index=True, max_length=15, verbose_name='Language')),
                ('name', models.CharField(max_length=160, verbose_name='name')),
                ('description', models.TextField(verbose_name='description')),
                ('master', models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='translations', to='silent_auction.ItemImage')),
            ],
            options={
                'db_table': 'silent_auction_itemimage_translation',
                'default_permissions': (),
                'managed': True,
                'verbose_name': 'item image Translation',
                'db_tablespace': '',
            },
        ),
        migrations.CreateModel(
            name='ItemTranslation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('language_code', models.CharField(db_index=True, max_length=15, verbose_name='Language')),
                ('name', models.CharField(max_length=160, verbose_name='name')),
                ('slug', models.SlugField(max_length=160, verbose_name='slug')),
                ('description', models.TextField(verbose_name='description')),
                ('master', models.ForeignKey(editable=False, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='translations', to='silent_auction.Item')),
            ],
            options={
                'db_table': 'silent_auction_item_translation',
                'default_permissions': (),
                'managed': True,
                'verbose_name': 'item Translation',
                'db_tablespace': '',
            },
        ),
        migrations.AddField(
            model_name='bid',
            name='item',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='bids', to='silent_auction.Item', verbose_name='item'),
        ),
        migrations.AlterUniqueTogether(
            name='itemtranslation',
            unique_together=set([('language_code', 'name'), ('language_code', 'slug'), ('language_code', 'master')]),
        ),
        migrations.AlterUniqueTogether(
            name='itemimagetranslation',
            unique_together=set([('language_code', 'master')]),
        ),
        migrations.AlterUniqueTogether(
            name='eventtranslation',
            unique_together=set([('language_code', 'name'), ('language_code', 'slug'), ('language_code', 'master')]),
        ),
        migrations.AlterUniqueTogether(
            name='eventadmin',
            unique_together=set([('event', 'user')]),
        ),
    ]
